<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>



	<div id="content-container">
		<div id="content">
			<div id="main">
				<h1 class="pagetitle"><?php _e( '404 Page', 'templatesquare' ); ?></h1>
				<p>
				<?php _e( 'Apologies, but the page you requested could not be found. Perhaps searching will help.', 'templatesquare' ); ?>
				</p>
				<?php get_search_form(); ?>
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
    
		
<script type="text/javascript">
	// focus on search field after it has loaded
	document.getElementById('s') && document.getElementById('s').focus();
</script>
<?php get_footer(); ?>