<?php

// Theme Setting
	$themename 			= "Cresendo Theme";
	$shortname 			= "templatesquare";
	
// Options panel

$optLogotype 				= array(
				'imagelogo' 	=> 'Image logo',
				'textlogo' 		=> 'Text-based logo'
				 );
				 
$optTypeSlider 				= array(
				'kwick' => 'Kwick Slider',
				'cycle' => 'Cycle Slider'
				 );	
				 
			 
$optArrSlider 				= array(
				'ASC' => 'Ascending',
				'DESC' => 'Descending'
				 );	
				 
$optBackgroundStyle = array(
			'repeat' => "Repeat",
			'no-repeat' => "No Repeat",
			'fixed' => "Fixed"
			);
				 
			
$optSidebarPosition = array(
			'right' => get_template_directory_uri()."/admin/images/2cr.png",
			'left' => get_template_directory_uri()."/admin/images/2cl.png"
			);

//Social Icons Reader
$opt_social_icons_path = TEMPLATEPATH . '/images/social/';
$opt_social_icons = array();

if ( is_dir($opt_social_icons_path) ) {
    if ($opt_social_icons_dir = opendir($opt_social_icons_path) ) { 
		$opt_social_icons[] = "None";
        while ( ($opt_social_icons_file = readdir($opt_social_icons_dir)) !== false ) {
            if(stristr($opt_social_icons_file, ".png") !== false) {
                $opt_social_icons[] = $opt_social_icons_file;
            }
        }    
    }
}

//Styles Reader
$opt_style_path = TEMPLATEPATH . '/styles/';
$opt_style = array();

if ( is_dir($opt_style_path) ) {
    if ($opt_style_dir = opendir($opt_style_path) ) { 
        while ( ($opt_style_file = readdir($opt_style_dir)) !== false ) {
            if(stristr($opt_style_file, ".css") !== false) {
                $opt_style[$opt_style_file] = $opt_style_file;
            }
        }    
    }
}


//Background Image Reader
$opt_bg_image_path = TEMPLATEPATH . '/admin/images/bg/';
$opt_bg_images = array();

if ( is_dir($opt_bg_image_path) ) {
    if ($opt_bg_image_dir = opendir($opt_bg_image_path) ) { 

        while ( ($opt_bg_image_file = readdir($opt_bg_image_dir)) !== false ) {
            if(stristr($opt_bg_image_file, ".gif") !== false) {
                $opt_bg_images[$opt_bg_image_file] = get_template_directory_uri()."/admin/images/bg/".$opt_bg_image_file;
            }
        }    
    }
}

// Setting header
$optionstheme = array (

				/**************************GENERAL SETTINGS**********************/
				array(	"name" => "General",
											"type" => "open"),
											
				array(	"name" => __('Layout Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
				array( 	"name" => __('Sidebar Position', 'templatesquare'),
											"desc" => __('Select sidebar position. Default sidebar is right', 'templatesquare'),
											"options" => $optSidebarPosition,
											"id" => $shortname."_sidebar_position",
											"std" => "right",
											"type" => "imageselector"),
		
											
				array(	"name" => __('Header Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
									
											
				array(	"name" => __('Logo Type', 'templatesquare'),
											"desc" => __('If text-based logo is activated, enter the sitename and tagline in the fields below.', 'templatesquare'),
											"options" => $optLogotype,
											"id" => $shortname."_logo_type",
											"std" => "imagelogo",
											"type" => "select"),
				
				
				array(	"name" => __('Site name', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_site_name",
											"std" => "",
											"type" => "text"),												
				
																	
				array(	"name" => __('Tagline', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_tagline",
											"std" => "",
											"type" => "text"),	
											
											
				array(	"name" => __('Logo Image', 'templatesquare'),
											"desc" => __('If image logo is activated, upload the logo image.', 'templatesquare'),
											"id" => $shortname."_logo_image",
											"std" => "",
											"type" => "mediaupload"),
											
				array(	"name" => __('Favicon', 'templatesquare'),
											"desc" => __('Upload the favicon image.', 'templatesquare'),
											"id" => $shortname."_favicon",
											"std" => "",
											"type" => "mediaupload"),
											
				array(	"name" => __('Footer Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
																	
				array(	"name" => __('Footer Text', 'templatesquare'),
											"desc" => __('You can use html tag in here.', 'templatesquare'),
											"id" => $shortname."_footer",
											"std" => "",
											"type" => "textarea"),
		
				array(	"name" => __('Tracking Code', 'templatesquare'),
											"desc" => __('Enter your tracking code here.', 'templatesquare'),
											"id" => $shortname."_google",
											"std" => "",
											"type" => "textarea"),
											
											
				array(	"type" 	=> "close"),
				
				
				/**************************HOME SETTINGS**********************/			
				array(	"name" => "Home",
											"type" => "open"),
											
											
				array(	"name" => __('Slogan', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
				
				
				array(	"name" => __('Slogan Title', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_slogantitle",
											"std" => "",
											"type" => "text"),
											
				array(	"name" => __('Slogan Text', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_slogantext",
											"std" => "",
											"type" => "textarea"),
											
				array(	"type" 	=> "close"),
				
				
				/**************************STYLES SETTINGS**********************/
				array(	"name" => "Style",
											"type" => "open"),
									
				array(	"name" => __('Theme Color Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
											
											
				array(	"name" => __('Color Styles', 'templatesquare'),
											"desc" => __('Choose the color you want.', 'templatesquare'),
											"options" => $opt_style,
											"id" => $shortname."_color_style",
											"std" => "default.css",
											"type" => "select"),
											
				array(	"name" => __('Main Menu Link Color', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_mainmenulinkcolor",
											"std" => "",
											"type" => "colorpicker"),
											
				array(	"name" => __('Main Menu Link Hover', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_mainmenulinkhover",
											"std" => "",
											"type" => "colorpicker"),
											
											
				array(	"name" => __('Link Color', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_linkcolor",
											"std" => "",
											"type" => "colorpicker"),
											
				array(	"name" => __('Page Slogan Text Color', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_slogancolor",
											"std" => "",
											"type" => "colorpicker"),
											
				array(	"name" => __('Heading Text Color', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_headingcolor",
											"std" => "",
											"type" => "colorpicker"),
				
				array(	"name" => __('Theme Background', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
											
				array(	"name" => __('Background Color', 'templatesquare'),
											"desc" => '',
											"id" => $shortname."_background_color",
											"std" => "#252525",
											"type" => "colorpicker"),
											
											
				array(	"name" => __('Background Image', 'templatesquare'),
											"desc" => __('upload the background image.', 'templatesquare'),
											"id" => $shortname."_background_image",
											"std" => "",
											"type" => "mediaupload"),
											
				array(	"name" => __('Background Style', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $optBackgroundStyle,
											"id" => $shortname."_background_style",
											"std" => "",
											"type" => "select"),
											
											
				array(	"type" 	=> "close"),
				
				
				/**************************SOCIAL SETTINGS**********************/			
				array(	"name" => "Social",
											"type" => "open"),
											
				array(	"name" => __('Social Networks', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
				array(	"name" => __('Social Networks', 'templatesquare'),
											"desc" => __('Please choose social networks icon and enter your social network full url.<br/>
														To add an additional icons, just copy your .png icons to "' . get_template_directory_uri() . '/images/social/" folder.'),
											"type" => "info"),	
											
											
				array(	"name" => __('Social Icon 1', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 1', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image1",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 1', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url1",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 1', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),	

					
				array(	"name" => __('Social Icon 2', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 2', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image2",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 2', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url2",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 2', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),	
											

				array(	"name" => __('Social Icon 3', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 3', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image3",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 3', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url3",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 3', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),	
											
											
				array(	"name" => __('Social Icon 4', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 4', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image4",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 4', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url4",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 4', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),

											
				array(	"name" => __('Social Icon 5', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 5', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image5",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 5', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url5",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 5', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),
											
											
				array(	"name" => __('Social Icon 6', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 6', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image6",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 6', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url6",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 6', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),
											
											
				array(	"name" => __('Social Icon 7', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 7', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image7",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 7', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url7",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 7', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),
											
											
				array(	"name" => __('Social Icon 8', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 8', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image8",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 8', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url8",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 8', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),
											
											
				array(	"name" => __('Social Icon 9', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 9', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image9",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 9', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url9",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 9', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),
											
											
				array(	"name" => __('Social Icon 10', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyopen"),	

				array( 	"name" => __('Social Image 10', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"options" => $opt_social_icons,
											"id" => $shortname."_social_image10",
											"std" => "None",
											"type" => "selectclean"),
					
				array(	"name" => __('Social Url 10', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"id" => $shortname."_social_url10",
											"std" => "",
											"type" => "textclean"),

				array(	"name" => __('Social Image 10', 'templatesquare'),
											"desc" => __('', 'templatesquare'),
											"type" => "tableonlyclose"),
											
				array(	"type" 	=> "close"),
				
				
				/**************************SLIDER SETTINGS**********************/
				array(	"name" => "Slider",
											"type" => "open"),
											
				array(	"name" => __('Slider Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
				array(	"name" => __('Slider Type', 'templatesquare'),
											"desc" => __('Select slider type.', 'templatesquare'),
									"options" => $optTypeSlider,
									"id" => $shortname."_slider_type",
									"std" => "nivo",
									"type" => "select"),
									
				array(	"name" => __('Arrange Slider Post', 'templatesquare'),
											"desc" => __('Select arrange.', 'templatesquare'),
											"options" => $optArrSlider,
											"id" => $shortname."_slider_arrange",
											"std" => "ASC",
											"type" => "select"),
											
				array(	"name" => __('Kwicks Slider Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
											
				array( 	"name" => __('Slider Speed', 'templatesquare'),
											"desc" => __('Please enter number for slider speed. Default is 1500', 'templatesquare'),
											"id" => $shortname."_slider_speed",
											"std" => "1500",
											"type" => "text"),
											
											
				array(	"name" => __('Disable Slider Text', 'templatesquare'),
											"desc" => __('Select this checkbox to disable the slider text.', 'templatesquare'),
											"id" => $shortname."_slider_kwicks_disable_text",
											"std" => "",
											"type" => "checkbox"),
									
											
				array(	"name" => __('Cycle Slider Settings', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
											
				array( 	"name" => __('Slider Effect', 'templatesquare'),
											"desc" => __('Please enter name of transition effect (or comma separated names, ex: scrollHorz, fade,scrollUp,shuffle). Default is (scrollHorz). <br>for more effects visit http://jquery.malsup.com/cycle/browser.html', 'templatesquare'),
											"id" => $shortname."_scycle_effect",
											"std" => "fade",
											"type" => "text"),
											
				array( 	"name" => __('Slider Timeout', 'templatesquare'),
											"desc" => __('Please enter number for slider timeout(pause time). Default is 6000', 'templatesquare'),
											"id" => $shortname."_slider_timeout",
											"std" => "6000",
											"type" => "text"),
											
											
				array(	"name" => __('Disable Slider Text', 'templatesquare'),
											"desc" => __('Select this checkbox to disable the slider text.', 'templatesquare'),
											"id" => $shortname."_slider_disable_text",
											"std" => "",
											"type" => "checkbox"),
											
				array(	"name" => __('Disable Slider Navigation', 'templatesquare'),
											"desc" => __('Select this checkbox to disable navigation.', 'templatesquare'),
											"id" => $shortname."_slider_disable_navcycle",
											"std" => "",
											"type" => "checkbox"),
											
											
				array(	"type" 	=> "close"),
				
				array ( "name" => __("Sidebar","templatesquare"), 
						"type" => "open"),
				
				array(	"name" => __('Sidebar', 'templatesquare'),
											"type" => "heading",
											"desc" => __('', 'templatesquare')),
				
				array( 	"name" => __('Sidebar Generator', 'templatesquare'),
											"desc" => __('Please enter name of new sidebar', 'templatesquare'),
											"id" => $shortname."_sidebar",
											"std" => "fade",
											"type" => "textarray"),
				
				array(	"type" 	=> "close"),
				
				
);

		function ts_admin_scripts() {
			wp_enqueue_script('media-upload');
			wp_enqueue_script('thickbox');
		}
		
		function ts_admin_styles() {
			wp_enqueue_style('thickbox');
		}
		
		if (isset($_GET['page']) && $_GET['page'] == 'admin-options.php') {
			add_action('admin_print_scripts', 'ts_admin_scripts');
			add_action('admin_print_styles', 'ts_admin_styles');
		}

		function mytheme_add_admin() {
	    global $themename, $shortname, $optionstheme;
		$getpage = (isset($_GET['page']))? $_GET['page'] : "";
	    if ( $getpage == basename(__FILE__) ) {
	      if (isset($_REQUEST['reset']) ) {
		      foreach ($optionstheme as $value) {
		      	update_option( $value['id'],  $value['std'] ); }
		      foreach ($optionstheme as $value) {
		      	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $value['std'] ); } else { delete_option( $value['id'] ); } }
		      header("Location: themes.php?page=admin-options.php&saved=true");
		      die;
	      }
		  /******** For Textarray Type **********/
		  if(isset($_REQUEST['action']) && $_REQUEST['action'] == "deltextarray"){
		  	if(isset($_REQUEST['textarrayid'])){
				$valueid = $_REQUEST['textarrayid'];
				$textarrayval = get_option($valueid);
				if(isset($_REQUEST['arrayid'])){
					unset($textarrayval[$_REQUEST['arrayid']]);
					update_option($valueid, $textarrayval);
				}
			}
			
		  }
		  if(isset($_REQUEST['action']) && $_REQUEST['action'] == "savearray"){
		  	if(isset($_REQUEST['textarrayid'])){
				$valueid = $_REQUEST['textarrayid'];
				$textarrayval = get_option($valueid);
				if(isset($_REQUEST['arrayid'])){
					$textarrayid = $_REQUEST['arrayid'];
					if($textarrayid!=""){
						if(is_array($textarrayval)){
							$textarrayval[$textarrayid] = $_REQUEST[$valueid];
						}else{
							$textarrayval = array($textarrayid => $_REQUEST[$valueid]);
						}
					}
					update_option($valueid, $textarrayval);
				}
			}
			
		  }
		  /******** End of Textarray Type **********/
		  if ( isset($_REQUEST['action']) && 'save' == $_REQUEST['action'] ) { 
		      foreach ($optionstheme as $value) {
			  	if($value["type"]=="textarray"){
					$textarrayval = get_option($value['id']);
					if(isset( $_REQUEST[ $value['id'] ] )){
						$textarrayid = str_replace(" ","-",trim(strtolower($_REQUEST[$value['id']])));
						if($textarrayid!=""){
							if(is_array($textarrayval)){
								$textarrayval[$textarrayid] = $_REQUEST[$value['id']];
							}else{
								$textarrayval = array($textarrayid => $_REQUEST[$value['id']]);
							}
						}
						update_option($value['id'], $textarrayval);
					}
				}else{
					update_option( $value['id'], $_REQUEST[ $value['id'] ] ); 
					
					if( isset( $_REQUEST[ $value['id'] ] ) ) { 
						update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); 
					} else { 
						delete_option( $value['id'] ); 
					} 
				}
			  }
		      header("Location: themes.php?page=admin-options.php&saved=true");
		      die;
	      }
	      
	    }
	    add_theme_page($themename." Options", "Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
		}
		
		function mytheme_admin() {
	
	    global $themename, $shortname, $optionstheme;
	
	    if ( isset($_REQUEST['saved']) && $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	    
?>

	<div class="wrap">
	<div id="icon-themes" class="icon32"><br></div>
	<h2><?php echo $themename; ?> <?php _e('Options','templatesquare');?></h2>
	<div class="bordertitle"></div>
	<style type="text/css">
	table, td {font-size:13px; border:0px;}
	th {font-weight:normal; width:250px; border:0px;}
	span.setting-description { font-size:11px; line-height:16px; font-style:italic;}
	.imguploader{
		position:relative;
		float:left;
	}
	.imguploader img{
		padding:3px;
		border:1px solid #f5f5f5;
	}
	a.delimguploader{
		background-image:url(<?php echo get_template_directory_uri();  ?>/admin/images/ico-delete.png);
		background-repeat:no-repeat;
		position:absolute;
		bottom:-2px;
		right:-2px;
		width:16px;
		height:16px;
		display:none;
		z-index:7;
		cursor:pointer;
	}
	.tab_container .of-radio-img-img {
		border:3px solid #f9f9f9;
		margin:0 5px 10px 0;
		display:block;
		cursor:pointer;
		float:left;
	}
	.tab_container .of-radio-img-radio{
		display:none;
	}
	.tab_container .of-radio-img-label{
		display:none;
	}
	.tab_container .of-radio-img-selected {
		border:3px solid #ccc
	}
	.tab_container .of-radio-img-img:hover {
		opacity:.8;
	}
	/************For Text Array Type********/
	div.delcage{
		margin-top:8px;
		width:100%;
	}
	a.delbutton{
		display:block;
		background-image:url(<?php echo get_template_directory_uri();  ?>/admin/images/delbutton.gif);
		background-repeat:no-repeat;
		background-position:right;
		padding:4px 22px 4px 4px;
		background-color:#ffffff;
		border-top:1px solid #f7f7f7;
		border-left:1px solid #f7f7f7;
		border-right:1px solid #f0f0f0;
		border-bottom:1px solid #f0f0f0;
		float:left;
		text-decoration:none;
		margin-right:8px;
		margin-bottom:5px;
	}
	a.delbutton:hover{
		background-color:#fafafa;
	}
	/************End For Text Array Type********/
	</style>
	
	<link rel="stylesheet" media="screen" type="text/css" href="<?php echo get_template_directory_uri(); ?>/admin/css/colorpicker.css" />
	<script type="text/javascript" src="<?php echo get_template_directory_uri();  ?>/admin/js/colorpicker.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri();  ?>/admin/js/eye.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/admin/js/utils.js"></script>
	<link rel="stylesheet" media="screen" type="text/css" href="<?php echo get_template_directory_uri();  ?>/admin/css/tabs.css" />
	<!-- Javascript for the tabs -->
	<script type="text/javascript">
	jQuery(document).ready(function(){
			
			/* For Tab */
			jQuery(".tab_content").hide(); //Hide all content
			jQuery("ul.tabs li:first").addClass("active").show(); //Activate first tab
			jQuery(".tab_content:first").show(); //Show first tab content
			//On Click Event
			jQuery("ul.tabs li").click(function() {
				jQuery("ul.tabs li").removeClass("active"); //Remove any "active" class
				jQuery(this).addClass("active"); //Add "active" class to selected tab
				jQuery(".tab_content").hide(); //Hide all tab content
				var activeTab = jQuery(this).find("a").attr("href"); //Find the rel attribute value to identify the active tab + content
				jQuery(activeTab).fadeIn(900); //Fade in the active content
				return false;
			});
			
			/************For Text Array Type********/
			<?php 
			foreach ($optionstheme as $value) {
				if ($value['type'] == "textarray") { 
			?>
			jQuery("input#buttonarray<?php echo $value['id']; ?>").click(function(evt){
				
				evt.preventDefault();
				
				<?php 
					$url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI']; 
				?>
				var textarrayname = jQuery('input#<?php echo $value['id']; ?>').val();
				var textarrayid = jQuery.trim(textarrayname).toLowerCase().replace(" ","-");
				if(textarrayid!=""){
					jQuery.ajax({
						type : "POST",
						url : '<?php echo $url; ?>',
						data : "action=savearray&textarrayid=<?php echo $value['id']; ?>&arrayid="+textarrayid+"&<?php echo $value['id']; ?>="+textarrayname,
						success : function(data){
							var arraycage = 'div#<?php echo $value['id']."-cage"; ?>';
							var anchorarray = '<a href="'+textarrayid+'" rel="<?php echo $value['id']; ?>" id="'+textarrayid+'" class="delbutton">'+textarrayname+'</a>';
							jQuery(arraycage).append(anchorarray);
							jQuery(arraycage + ' a.delbutton').click(delbuttononclick);
							jQuery('input#<?php echo $value['id']; ?>').val('');
						}
					});
				}else{
					alert('<?php _e('Please input the textbox first!','templatesquare'); ?>');
				}
			});
			
			<?php 
				}//end if
			} //end foreach
			?>
			jQuery("a.delbutton").click(delbuttononclick);
			
			function delbuttononclick(evt){
				evt.preventDefault();
				<?php 
					$url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI']; 
				?>
				if(confirm('<?php _e('Are you sure you want to delete this item?','templatesquare'); ?>')){
					var arrayid = jQuery(this).attr("href");
					var textarrayid = jQuery(this).attr("rel");
					var thedelbutton = jQuery(this);
					jQuery.ajax({
						type : "POST",
						url : '<?php echo $url; ?>',
						data : "action=deltextarray&arrayid="+arrayid+"&textarrayid="+textarrayid,
						success : function(data){
							thedelbutton.fadeOut("slow",function(){
								thedelbutton.remove();
							});
						}
					});
				}
			};
			/************End For Text Array Type********/
	});	
	
	</script><br />
	
	<ul class="tabs"> 
		<li><a href="#General"><?php _e('General','templatesquare'); ?></a></li>
        <li><a href="#Home"><?php _e('Home','templatesquare'); ?></a></li>
		 <li><a href="#Style"><?php _e('Style','templatesquare'); ?></a></li>
          <li><a href="#Social"><?php _e('Social','templatesquare'); ?></a></li>
		<li><a href="#Slider"><?php _e('Slider','templatesquare'); ?></a></li>
         <li><a href="#Sidebar"><?php _e('Sidebar','templatesquare'); ?></a></li>
	</ul> 

		<form method="post">
		<div class="tab_container">
		<?php 
			foreach ($optionstheme as $value) {
			if ($value['type'] == "open") { 
		?>
		 
		 <div id="<?php echo $value['name']; ?>" class="tab_content" >
		<table  border="1" cellpadding="0" cellspacing="12" style="text-align:left" >
		<?php
				}
				if ($value['type'] == "close") { 
		?>
		</table></div>
		<?php
				}
				if ($value['type'] == "heading") { 
		?>
		<thead>
		<tr>
        	<td colspan="2"><h3><?php echo $value['name']; ?></h3><span class="setting-description"><?php echo $value['desc']; ?></span></td>
        </tr>
		</thead>
		<?php
				}
				if ($value['type'] == "separator") { 
		?>
		<tr>
        	<td>&nbsp; </td>
        </tr>
		<?php
				}
				
				if ($value['type'] == "description") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
					<span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
		<?php
				}
				
				if ($value['type'] == "info") { 
		?>
		<tr valign="top"> 
		    <th scope="row" colspan="2"><span class="setting-description"><?php echo $value['desc']; ?></span></th>

		</tr>
		<?php
				}
				if ($value['type'] == "line") { 
		?>
		<tr valign="top"> 
		    <th colspan="2" ><div style="padding-top:10px;padding-bottom:10px; vertical-align:middle; padding-left:0px;"><div style="border-bottom: 1px solid #efefef;"></div></div></th>

		</tr>
		
		<?php
				}
				
				if ($value['type'] == "tableonlyopen") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>

		<?php
				}

				if ($value['type'] == "tableonlyclose") { 
		?>

		    </td>
		</tr>
        <?php
				}
				if ($value['type'] == "mediaupload") {
					 
					$thewidth = $theheight = "";
					if(isset($value['maxwidth']) && is_numeric($value['maxwidth'])){
						$thewidth 	= 'width="'.$value['maxwidth'].'" ';
					}
					if(isset($value['maxheight']) && is_numeric($value['maxheight'])){
						$theheight 	= 'height="'.$value['maxheight'].'" ';
					}

		?>
        <tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
		        <input name="<?php echo $value['id']; ?>" size="36" id="<?php echo $value['id']; ?>" type="<?php echo "text"; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo htmlentities(stripslashes(get_option( $value['id'] ))); } else { echo $value['std']; } ?>" />
                <input id="<?php echo $value['id']; ?>_button" type="button" value="<?php _e("Upload","templatesquare"); ?>" />
                <div class="clear"></div>
                <div id="<?php echo $value['id']; ?>-img" class="imguploader"><a href="#" class="delimguploader"></a></div>
                
                <script type="text/javascript">
				jQuery(document).ready(function() {
					if(jQuery('#<?php echo $value['id']; ?>').val()!=""){
						var imguploaderurl = jQuery('#<?php echo $value['id']; ?>').val();
						jQuery('#<?php echo $value['id']; ?>-img').append('<img <?php echo $thewidth.$theheight; ?>src="' + imguploaderurl +'" alt="" />');
						jQuery('#<?php echo $value['id']; ?>-img a.delimguploader').css('display','block');
					}
					
					jQuery('#<?php echo $value['id']; ?>_button').click(function() {
					
						formfield = jQuery('#<?php echo $value['id']; ?>').attr('name');
						tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');

						window.send_to_editor = function(html) {
							var imgurl = jQuery('img',html).attr('src');
							jQuery('#<?php echo $value['id']; ?>').val(imgurl);
							jQuery('#<?php echo $value['id']; ?>-img').append('<img <?php echo $thewidth.$theheight; ?>src="' + imgurl +'" alt="" />');
							jQuery('#<?php echo $value['id']; ?>-img a.delimguploader').css('display','block');
							tb_remove();
						}
						return false;
					});
					
					jQuery('#<?php echo $value['id']; ?>-img a.delimguploader').click(function(){
						jQuery('#<?php echo $value['id']; ?>').val("");
						jQuery('#<?php echo $value['id']; ?>-img').empty();
					});
				
				});
				</script>
                <div class="clear"></div>
 				<span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
		<?php
				}

				if ($value['type'] == "text") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
		        <input name="<?php echo $value['id']; ?>" size="60" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /><br />
 
						<span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
        <?php
				}

				if ($value['type'] == "textarray") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
		        <input name="<?php echo $value['id']; ?>" size="60" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="" /> 
                <input name="buttonarray<?php echo $value['id']; ?>" id="buttonarray<?php echo $value['id']; ?>" type="button" class="button-primary" value="<?php _e("Add", "templatesquare"); ?>" /><br />
                <span class="setting-description"><?php echo $value['desc']; ?></span><br />
 				<div id="<?php echo $value['id']; ?>-cage" class="delcage">
               	<?php 
					$textarrayval = get_option($value['id']);
					if(is_array($textarrayval)){
						foreach($textarrayval as $ids => $val){
							echo '<a href="'.$ids.'" rel="'.$value['id'].'" id="'.$ids.'" class="delbutton">'.$val.'</a>';
						}
					}
				?>
                <div class="clear"></div>
                </div>
		    </td>
		</tr>
		<?php
				}
				
								
				if ($value['type'] == "textarea") { 
				
		?>
		
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
			<textarea cols="60" rows="5"  name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option($value['id'])); } else { echo $value['std']; } ?></textarea><br /><span class="setting-description"><?php echo $value['desc']; ?></span>

		    </td>
		</tr>
		<?php
				}
			if ($value['type'] == "checkbox") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
			<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                            <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
                            <br /><span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
		<?php
				}
			if ($value['type'] == "checkbox-pages") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:<br /><span class="setting-description"><?php echo $value['desc']; ?></span></th>
		    <td>
			<?php 
			$pages_list = get_pages();
			?>
			
<table><?php $i = 0; foreach ($pages_list as $option) { $checked = ""; ?><?php if (get_option( $value['id'])) { if (in_array($option->ID, get_option( $value['id'] ))) $checked = "checked=\"checked\""; } elseif ($value['std'][$i] == "true") { $checked = "checked=\"checked\""; } ?><tr><td><input type="checkbox" name="<?php echo $value['id']; ?>[]" id="<?php echo $value['id']; ?>-<?php echo $option->ID; ?>" value="<?php echo $option->ID; ?>" <?php echo $checked; ?> /> <label for="<?php echo $value['id']; ?>-<?php echo $option->ID; ?>"><?php echo is_array($value['desc'])?$value['desc'][$i]:$option->post_title; ?></label> </td></tr> <?php $i++; } ?></table>
		    </td>
		</tr>
		<?php
				}

				if ($value['type'] == "select") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
						<select style="width:50%" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
						<?php foreach ($value['options'] as $key => $option) { ?>
                        	<option<?php if ( get_option( $value['id'] ) == $key) { echo ' selected="selected"'; } elseif (get_option( $value['id'] )==false && $key == $value['std']) { echo ' selected="selected"'; } ?> value="<?php echo $key; ?>"><?php echo $option; ?></option>
							<?php } ?>
                        </select> <br /><span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
        <?php
				}

				if ($value['type'] == "imageselector") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td id="td-<?php echo $value['id']; ?>">
			<?php 
			
			foreach ( $value['options'] as $key => $option ) {
				$output = "";
				$selected = '';
				$checked = '';
				if ( get_option( $value['id'] ) != '' ) {
					if ( get_option( $value['id'] ) == $key ) {
						$selected = ' of-radio-img-selected';
						$checked = ' checked="checked"';
					}
				}
				$output .= '<input type="radio" id="' . esc_attr( $value['id'] .'_'. $key) . '" class="of-radio-img-radio" value="' . esc_attr( $key ) . '" name="' . esc_attr( $value['id'] ) . '" '. $checked .' />';
				$output .= '<div class="of-radio-img-label">' . esc_html( $key ) . '</div>';
				$output .= '<img src="' . esc_url( $option ) . '" alt="' . $option .'" class="of-radio-img-img' . $selected .'" onclick="document.getElementById(\''. esc_attr($value['id'] .'_'. $key) .'\').checked=true; " />';
				echo $output;
			}
			
			?>
            <script type="text/javascript">
            	jQuery(document).ready(function() {
					jQuery("#td-<?php echo $value['id']; ?> .of-radio-img-img").click(function(){
						jQuery("#td-<?php echo $value['id']; ?> .of-radio-img-selected").removeClass("of-radio-img-selected");
						jQuery(this).addClass("of-radio-img-selected");
					});
				});
            </script>
		    </td>
		</tr>
        <?php
		}

		if ($value['type'] == "bgpatternselector") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td id="td-<?php echo $value['id']; ?>">
			<?php 
			$darktext = "For Dark Skin : <br/><br />";
			$lighttext = "For Light Skin : <br/><br />";
			foreach ( $value['options'] as $key => $option ) {
				$output = "";
				$selected = '';
				$checked = '';
				
				if ( get_option( $value['id'] ) != '' ) {
					if ( get_option( $value['id'] ) == $key ) {
						$selected = ' of-radio-img-selected';
						$checked = ' checked="checked"';
					}
				}
				$output .= '<input type="radio" id="' . esc_attr( $value['id'] .'_'. $key) . '" class="of-radio-img-radio" value="' . esc_attr( $key ) . '" name="' . esc_attr( $value['id'] ) . '" '. $checked .' />';
				$output .= '<div class="of-radio-img-label">' . esc_html( $key ) . '</div>';
				$output .= '<img src="' . esc_url( $option ) . '" alt="' . $option .'" class="of-radio-img-img' . $selected .'" onclick="document.getElementById(\''. esc_attr($value['id'] .'_'. $key) .'\').checked=true; " />';
				if(strpos($key,"dark")){
					$darktext .= $output;
				}else{
					$lighttext .= $output;
				}
				
			}
			echo $darktext."<br /><br /><br /><br />".$lighttext;
			
			?>
            <script type="text/javascript">
            	jQuery(document).ready(function() {
					jQuery("#td-<?php echo $value['id']; ?> .of-radio-img-img").click(function(){
						jQuery("#td-<?php echo $value['id']; ?> .of-radio-img-selected").removeClass("of-radio-img-selected");
						jQuery(this).addClass("of-radio-img-selected");
					});
				});
            </script>
		    </td>
		</tr>
		<?php
				}
				

				if ($value['type'] == "colorpicker") { 
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
            <script language="javascript">
            	(function($){
					var initLayout = function() {		
						$('#colorSelector-<?php echo $value['id']; ?>').ColorPicker({
							color: '<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>',
							onShow: function (colpkr) {
								$(colpkr).fadeIn(500);
								return false;
							},
							onHide: function (colpkr) {
								$(colpkr).fadeOut(500);
								return false;
							},
							onChange: function (hsb, hex, rgb) {
								$('#colorSelector-<?php echo $value['id'] ?> div').css('backgroundColor', '#' + hex);
								$("#<?php echo $value['id']; ?>").attr('value', '#' + hex);								
							}
						});
					};	
					EYE.register(initLayout, 'init');
				})(jQuery)
            </script>
			<div id="colorContainer" style="float:left"><div id="colorSelector-<?php echo $value['id']; ?>"><div style="background-color: <?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>"></div></div></div>
            <input style="margin:8px 0 0 10px" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />  
			          
		    </td>
		</tr>
		<?php
				}

				if ($value['type'] == "select-categories") { 
				
					$pn_categories_obj = get_categories('hide_empty=0');
					$pn_categories = array();
						
					foreach ($pn_categories_obj as $pn_cat) {
						$pn_categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
					}
					$categories_tmp = array_unshift($pn_categories, "All Categories");
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
		        <select style="width:140px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
               <?php foreach ($pn_categories as $option) { ?>
               <option <?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
               <?php } ?>
           </select><br />
 <span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
		<?php
				}

				if ($value['type'] == "select-categories-portfolio") { 
				
				$val = $value['std'];
				$std = get_option($value['id']);
				if ( $std != "") { $val = $std; }
				
				$args = array(
					'show_option_all'    => __('All Categories', 'templatesquare'),
					'show_option_none'   =>'',
					'hide_empty'         => 0, 
					'echo'               => 1,
					'selected'           => $val,
					'hierarchical'       => 0, 
					'name'               => $value['id'],
					'class'              => '',
					'depth'              => 0,
					'tab_index'          => 0,
					'taxonomy'           => 'portfoliocat',
					'hide_if_empty'      => false 	
				);
		
				
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
				<?php wp_dropdown_categories( $args ); ?>
		      <br />
			 <span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
		
		<?php
				}

				if ($value['type'] == "select-page") { 
				
				
				$val = $value['std'];
				$std = get_option($value['id']);
				if ( $std != "") { $val = $std; }
				
				$args = array(
					'selected'         => $val,
					'echo'             => 1,
					'name'             => $value['id']
				);
		
				
				
		?>
		<tr valign="top"> 
		    <th scope="row"><?php echo $value['name']; ?>:</th>
		    <td>
		       <?php wp_dropdown_pages( $args ); ?><br />
			 <span class="setting-description"><?php echo $value['desc']; ?></span>
		    </td>
		</tr>
		<?php
				}	
				
				if ($value['type'] == "textclean") { 
		?>

		        <input name="<?php echo $value['id']; ?>" size="30" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
 
						<span class="setting-description"><?php echo $value['desc']; ?></span>

		<?php
				}					
				

				if ($value['type'] == "selectclean") { 
		?>
						<select style="width:30%" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $key => $option) { ?><option<?php if ( get_option( $value['id'] ) == $key) { echo ' selected="selected"'; } elseif ($key == $value['std']) { echo ' selected="selected"'; } ?> value="<?php echo $key; ?>"><?php echo $option; ?></option><?php } ?></select> 
		<?php
				}

			}
		?>
		</table>
	</div>
	
	<p class="submit">
	<input name="save" type="submit" class="button-primary" value="Save changes" /> 
	<input name="reset" type="submit" class="button-primary"  value="<?php _e('Restore Defaults', 'templatesquare')?>" onclick="return confirm('<?php _e('Click OK to reset. Any theme settings will be lost!', 'templatesquare')?>');"/>
	<input type="hidden" id="action" name="action" value="save" />
	</p>
	</form>
	
	<?php
	}
	add_action('admin_menu', 'mytheme_add_admin');

?>
