<?php
session_start();
$optColorStyle = get_option('templatesquare_color_style')? get_option('templatesquare_color_style') : "default.css" ;

/***********************STYLE SWITCHER********************************/
if(isset($_REQUEST['clearcache'])){
	unset($_SESSION['ColorStyle']);
}
$optStyleSwitcher = isset($_SESSION['ColorStyle'])? $_SESSION['ColorStyle'] : $optColorStyle;
if(isset($_REQUEST['styleswitch'])){
	$_SESSION['ColorStyle'] = $_REQUEST['styleswitch'];

	$optStyleSwitcher = $_SESSION['ColorStyle'];
}
$optColorStyle = $optStyleSwitcher;

wp_enqueue_style($optColorStyle);

/***********************END STYLE SWITCHER****************************/

/**
 * The Header for our theme.
 *
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" /> 
<title><?php ts_document_title(); ?></title>
<?php $bodyclass = ""; ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />



<link rel="alternate" id="templateurl" href="<?php echo get_template_directory_uri(); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/rtl.css" type="text/css" media="all">

<?php 
$favicon = get_option('templatesquare_favicon');
if($favicon =="" ){
?>
<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" />
<?php }else{?>
<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
<?php }?>

<?php

/* We add some JavaScript to pages with the comment form
 * to support sites with threaded comments (when in use).
 */
if ( is_singular() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );

/* Always have wp_head() just before the closing </head>
 * tag of your theme, or you will break many plugins, which
 * generally use this hook to add elements to <head> such
 * as styles, scripts, and meta tags.
 */
wp_head();
?>
</head>

<body <?php body_class($bodyclass); ?>>
<div id="container">

	<div id="top-container">
		<div id="top">
			
			<?php 
				// print the logo html
				ts_logo(); 
            ?>
            
			<div id="nav">
            
				<?php wp_nav_menu( array(
                  'container'       => 'ul', 
                  'menu_class'      => 'sf-menu',
                  'menu_id'         => 'topnav', 
                  'depth'           => 0,
                  'sort_column'    => 'menu_order',
                  'fallback_cb'     => 'nav_page_fallback',
                  'theme_location' => 'mainmenu' 
                  )); 
                ?>
                
			</div><!-- #nav -->
		</div><!-- #top -->
	</div><!-- #top-container -->
	
	<?php if(is_front_page()){?>
			<?php include(TEMPLATEPATH.'/slider.php');?>
	<?php } ?>
