<?php
function ts_post_type_testimonial() {
	register_post_type( 'testimonial-view',
                array( 
				'label' => __('Testimonials', 'templatesquare'), 
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => true,
				'rewrite' => true,
				'hierarchical' => true,
				'menu_position' => 5,
				'exclude_from_search' =>true,
				'supports' => array(
				                     'title',
									 'editor',
                                     'revisions')
					) 
				);
				
	register_taxonomy('testimonialcat', __('testimonial-view', 'templatesquare'),array('hierarchical' => true, 'label' =>  __('Testimonial Categories', 'templatesquare'), 'singular_name' => __('Category', 'templatesquare'))
	);
}
add_action('init', 'ts_post_type_testimonial');
?>