<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>

	<?php 
    $sidebarposition = get_option('templatesquare_sidebar_position');
    ?>
         
     
	<div id="content-container">
		<div id="content">
			<div id="main">
				<div id="sidebar" class="<?php if($sidebarposition=="left"){echo "positionleft";}else{echo "positionright";}?>">
					<?php get_sidebar();?>
				</div><!-- #sidebar -->
				<div id="maincontent" class="<?php if($sidebarposition=="left"){echo "positionright";}else{echo "positionleft";}?>">
                
                <div id="singlepost">
                
					<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                    
                     <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					
					<?php
					$custom = get_post_custom($post->ID);
					$cf_thumb = (isset($custom["thumb"][0]))? $custom["thumb"][0] : "";
					
					if($cf_thumb!=""){
						$thumb = "<div class='blockimage'><img src='" . $cf_thumb . "' alt='' width='610' height='253' class='frame'/></div>";
					}elseif(has_post_thumbnail($id) ){
						$thumb = '<div class="blockimage">'.get_the_post_thumbnail($post->ID, 'blog-post-image', array('alt' => '', 'class' => 'frame')).'</div>';
					}else{
						$thumb ="";
					}
					echo  $thumb;
                    ?>
                   <h2 class="posttitle"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'templatesquare' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
                   
                <div class="entry-utility"><?php  the_time('F d, Y') ?>  -  <?php   the_category(', '); ?>  -  <?php _e('Post by','templatesquare');?>: <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"><?php the_author();?></a>  -  <?php comments_popup_link(__('No Comments', 'templatesquare'), __('1 Comments', 'templatesquare'), __('% Comments', 'templatesquare')); ?>
                </div>
                    
                    <div class="entry-content entry-blog">
						<?php the_content( __( 'Read More &rarr;', 'templatesquare' ) ); ?>
                        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatesquare' ), 'after' => '</div>' ) ); ?>
                        <?php edit_post_link( __( 'Edit', 'templatesquare' ), '<span class="edit-link">', '</span>' ); ?>
                    </div>
                    <div class="clearfix"></div><!-- clear float left -->
                 </div><!-- .post -->
                    
					<?php
					// If a user has filled out their description, show a bio on their entries.
					if ( get_the_author_meta( 'description' ) ) : ?>
						<h2 class="title-author"><?php printf( __( 'About %s', 'templatesquare' ), get_the_author() ); ?></h2>
						<div id="entry-author-info">
							<div id="author-avatar">
								<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'templatesquare_author_bio_avatar_size', 60 ) ); ?>
							</div><!-- #author-avatar -->
							<div id="author-description">
								<span style="" class="author"><?php printf(get_the_author() ); ?></span><br />
								<?php the_author_meta( 'description' ); ?>
							</div><!-- #author-description	-->
						</div><!-- #entry-author-info -->
					<?php endif; ?>
                    
                    <div class="clearfix"></div><!-- clear float left -->
                   
					
					<?php comments_template( '', true ); ?>
                    
					<?php endwhile; ?>
                    
                </div><!-- #singlepost -->
                
              
              	<div class="clear"></div><!-- clear float left -->
				</div><!-- #maincontent -->
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
     

<?php get_footer(); ?>
