<?php
/**
 * The template for displaying Tag Archive portfolio.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>


	<?php 
	$sidebarposition = get_option('templatesquare_sidebar_position');
	?>
    
    <div id="header-container" class="inner">
    <div id="header" class="inner">
    <h1 class="pagetitle"><?php
        printf( __( '<span class="lower">Tags:</span> %s', 'templatesquare' ), '<span>' . single_tag_title( '', false ) . '</span>' );
    ?></h1>
    
    </div>
    </div>
     
	<div id="content-container">
		<div id="content">
			<div id="main">
				<div id="sidebar" class="<?php if($sidebarposition=="left"){echo "positionleft";}else{echo "positionright";}?>">
					<?php
                        $terms = get_terms('portfoliotag');
                        echo '<ul class="widget-container"><h2 class="widget-title">'.__('Tags','templatesquare').'</h2><li><ul>';
                        foreach ($terms as $term) {
                            echo '<li><a href="'.get_term_link($term->slug, 'portfoliotag').'">'.$term->name.'</a></li>';
                        }
                        echo '</ul></li></ul>';	
                    ?>
				</div><!-- #sidebar -->
				<div id="maincontent" class="<?php if($sidebarposition=="left"){echo "positionright";}else{echo "positionleft";}?>">
                
                
				<?php
				// show only portfolio with specific tag
					$term = get_term_by( 'slug', get_query_var( 'portfoliotag' ),  'portfoliotag'  );  
					$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
					query_posts(array('post_type' => 'portfolio-view', 'portfoliotag' => $term->slug, 'caller_get_posts' => 1, 'paged' => $paged));
				?>
				
				<?php  while(have_posts()) : the_post(); ?>
				
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<?php
							$prefix = 'ts_';
						
							$custom = get_post_custom($post->ID);
							$cf_thumb = (isset($custom[$prefix."thumb"][0]))? $custom[$prefix."thumb"][0] : "";
							$cf_externallink = (isset($custom[$prefix."external-link"][0]))? $custom[$prefix."external-link"][0] : "";
							$cf_clientshortdesc = (isset($custom[$prefix."client-shortdesc"][0]))? $custom[$prefix."client-shortdesc"][0] : "";
							
							$tagthumb = "portfolio-image-col3";
							
							//get recent-portfolio-post-thumbnail
							
							$attachments = get_children( array(
							'post_parent' => $post->ID,
							'post_type' => 'attachment',
							'ignore_sticky_posts' => 1,
							'order' => '',
							'post_mime_type' => 'image')
							);  
							
							 foreach ( $attachments as $att_id => $attachment ) {
							
							$getimage = wp_get_attachment_image_src($att_id,$tagthumb  , true);
							$portfolioimage = $getimage[0]; 
							$cf_thumb2 ='<img src="'.$portfolioimage.'" alt="" class="alignleft" width="285" height="120" />';
							 }
							 //
								
							if($cf_thumb!=""){
								$thumb = "<img src='" . $cf_thumb . "' alt=''  class='alignleft' width='285' height='120'/>";
							}else{
								$thumb = $cf_thumb2;
							}
							echo  $thumb ;
								
							
							$textdescription = "";
								$textdescription .= '<h2>'. get_the_title($post->ID).'</h2>';
								$textdescription .='<p>'.$cf_clientshortdesc.'</p>';
								if($cf_externallink!=""){
									$textdescription .='<a href="'.$cf_externallink.'" title="'.__('Go to '.$cf_externallink.'','templatesquare').'" rel="bookmark" class="displaymore">'.__('more &raquo;','templatesquare').'</a>';
								}else{
									$textdescription .='<a href="'.get_permalink($post->ID).'" title="'.__( 'Permalink to ','templatesquare').the_title_attribute('echo=0').'" rel="bookmark" class="displaymore">'.__('Continue Reading &rarr;','templatesquare').'</a>';
								}
								
								echo $textdescription = '<div class="ts-portfolio-text-content">'.$textdescription.'</div>';
								
								echo '<div class="clear"></div><br/>';
							
							
								
						?>
					</div>
				
				<?php endwhile; // End the loop. Whew. ?>


				<?php /* Display navigation to next/previous pages when applicable */ ?>
				<?php if (  $wp_query->max_num_pages > 1 ) : ?>
				 <?php if(function_exists('wp_pagenavi')) { ?>
					 <?php wp_pagenavi(); ?>
				 <?php }else{ ?>
					<div id="nav-below" class="navigation">
						<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&laquo;</span> Older', 'templatesquare' ) ); ?></div>
						<div class="nav-next"><?php previous_posts_link( __( 'Newer <span class="meta-nav">&raquo;</span>', 'templatesquare' ) ); ?></div>
					</div><!-- #nav-below -->
				<?php }?>
				<?php endif; ?>
              
              	<div class="clear"></div><!-- clear float left -->
				</div><!-- #maincontent -->
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
		
<?php get_footer(); ?>
