<?php
//function ts_portfolio
function ts_portfolio($column, $categories, $showpost, $showtitle, $showdesc, $moretext, $paged = 1, $longdesc=200){

		$idnum = 1;
		
		if($column=="1"){
			$typecol = "ts-display-pf-col-1";
		}elseif($column=="2"){
			$typecol = "ts-display-pf-col-2";
		}elseif($column=="3"){
			$typecol = "ts-display-pf-col-3";
		}elseif($column=="4"){
			$typecol = "ts-display-pf-col-4";
		}
		
		if(!is_numeric($longdesc)){
			$longdesc = 0;
		}
		
		$output ='';
		$output .='<div id="ts-display-portfolio">';
		$output .='<ul id="'.$typecol.'">';
		
		$catname = get_term($categories,"portfoliocat");
		$catinclude = 'portfoliocat='. $catname->slug ;
		query_posts($catinclude .' &post_type=portfolio-view&showposts='.$showpost.'&orderby=date&paged='.$paged); 
		global $post;
		
		while ( have_posts() ) : the_post(); 
				$prefix = 'ts_';
				$custom = get_post_custom($post->ID);
				$cf_thumb = (isset($custom[$prefix."thumb"][0]))? $custom[$prefix."thumb"][0] : "";
				$cf_lightbox = (isset($custom[$prefix."lightbox"][0]))? $custom[$prefix."lightbox"][0] : "";
				$cf_externallink = (isset($custom[$prefix."external-link"][0]))? $custom[$prefix."external-link"][0] : "";
				$cf_clientshortdesc = (isset($custom[$prefix."client-shortdesc"][0]))? $custom[$prefix."client-shortdesc"][0] : "";
				$getclientshortdesc =  ts_string_limit_char($cf_clientshortdesc,$longdesc);
				
				
				//get recent-portfolio-post-thumbnail
				$attachments = get_children( array(
				'post_parent' => $post->ID,
				'post_type' => 'attachment',
				'order' => '',
				'post_mime_type' => 'image')
				);
				
				
				// get image size
				if($column=="1"){
					$imgsize = "portfolio-image-col1";
				}elseif($column=="2"){
					$imgsize = "portfolio-image-col2";
				}elseif($column=="3"){
					$imgsize = "portfolio-image-col3";
				}elseif($column=="4"){
					$imgsize = "portfolio-image-col4";
				}
				  
				
				
				foreach ( $attachments as $att_id => $attachment ) {
				 
				$getimage = wp_get_attachment_image_src($att_id, $imgsize, true);
				$portfolioimage = $getimage[0];
				$cf_thumb2 ='<img src="'.$portfolioimage.'" alt="" />';
				 }
				 //
				
				if($cf_thumb!=""){
					$cf_thumb = "<img src='" . $cf_thumb . "' alt=''  class='' />";
				}elseif(has_post_thumbnail($post->ID)){
					$cf_thumb = get_the_post_thumbnail($post->ID, $imgsize, array('class' => '','alt' =>''));
				}else{
					$cf_thumb = $cf_thumb2;
				}
				
				
				if($cf_lightbox!=""){
					$golink = $cf_lightbox;
					$rollover = "rollover";
					$rel = " rel=prettyPhoto[".$catname->slug."]";
				}elseif($cf_externallink!=""){
					$golink = $cf_externallink;
					$rollover = "rollover gotolink";
					$rel = "";
				}else{
					$golink = get_permalink();
					$rollover = "rollover gotopost";
					$rel = "";
				}
				
				
				if(($idnum%$column) == 0){$classpf = "nomargin";}else{$classpf = "";}
				
												
				$output .='<li class="'.$classpf.'">';
				if($showtitle==true){
					$output .='<h2 class="posttitle"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h2>';
				}
				$output .='<div class="ts-display-pf-img">';
				$output .='<a class="image" href="'.$golink.'" '.$rel.' title="'.get_the_title().'">';
				$output .='<span class="'.$rollover.'"></span>';
				$output .=$cf_thumb;
				$output .='</a>';
				$output .='</div>';
				
				if($showdesc!=true){$addclass="nodesc";}else{$addclass="";}
				if($showtitle==true || $showdesc==true){
					$output .='<div class="ts-display-pf-text '.$addclass.'">';
						if($showdesc==true){
							$output .='<p>'.$getclientshortdesc.'</p>';
						}
						if($moretext!=""){
							$output .='<a href="'.get_permalink().'" class="more">'.$moretext.'</a>';
						}
					$output .='</div>';
				}
				$output .='<div class="ts-display-clear"></div>';
				$output .='</li>';
					
				$idnum++; $classpf=""; 
					
		endwhile; // End the loop. Whew.
			
			
		$output .='</ul>';
		$output .='<div class="clearfix"></div>';
		$output .='</div><!-- end #ts-display-portfolio -->';
		
return $output;
		
}
?>