<?php
function ts_post_type_portfolio() {
	register_post_type( 'portfolio-view',
                array( 
				'label' => __('Portfolio', 'templatesquare'), 
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => true,
				'rewrite' => true,
				'hierarchical' => true,
				'menu_position' => 5,
				'exclude_from_search' =>true,
				'supports' => array(
				                     'title',
									 'editor',
                                     'thumbnail',
                                     'excerpt',
                                     'revisions')
					) 
				);
				
	register_taxonomy('portfoliocat', __('portfolio-view', 'templatesquare'),array('hierarchical' => true, 'label' =>  __('Portfolio Categories', 'templatesquare'), 'singular_name' => __('Category', 'templatesquare'))
	);
		  register_taxonomy('portfoliotag','portfolio-view',array('hierarchical' => false,'label' => __('Portfolio Tags', 'templatesquare'), 'rewrite' => array( 'slug' => 'portfoliotag' ),
		  ));
}

add_action('init', 'ts_post_type_portfolio');
?>
