<?php
function ts_script() {
	if (!is_admin()) {
		wp_deregister_script('jquery');
		wp_register_script('jquery', get_template_directory_uri().'/js/jquery-1.6.4.min.js', false, '1.6.4');
		wp_enqueue_script('jquery');
		
		wp_register_script('jprettyPhoto', get_template_directory_uri().'/js/jquery.prettyPhoto.js', array('jquery'));
		wp_enqueue_script('jprettyPhoto');
		
		wp_register_script('jportfoliofade', get_template_directory_uri().'/js/ts-portfolio-fade.js', array('jquery'));
		wp_enqueue_script('jportfoliofade');
		
		wp_register_script('jcycle', get_template_directory_uri().'/js/jquery.cycle.all.min.js', array('jquery'));
		wp_enqueue_script('jcycle');
		
		wp_register_script('jeasing', get_template_directory_uri().'/js/jquery.easing.1.3.js', array('jquery'));
		wp_enqueue_script('jeasing');
		
		wp_register_script('jkwicks', get_template_directory_uri().'/js/jquery.kwicks-1.5.1.js', array('jquery'));
		wp_enqueue_script('jkwicks');
		
		wp_register_script('jhoverIntent', get_template_directory_uri().'/js/hoverIntent.js', array('jquery'));
		wp_enqueue_script('jhoverIntent');
		
		wp_register_script('jsuperfish', get_template_directory_uri().'/js/superfish.js', array('jquery'));
		wp_enqueue_script('jsuperfish');
		
		wp_register_script('jsupersubs', get_template_directory_uri().'/js/supersubs.js', array('jquery'));
		wp_enqueue_script('jsupersubs');
		
	}
}
add_action('init', 'ts_script');
function ts_deregister_script() {
	if (!is_front_page() ) {
		wp_dequeue_script( 'jkwicks' );
	}
	if(!is_front_page() && !is_singular('portfolio-view')){
		wp_dequeue_script( 'jcycle' );
	}
}
add_action( 'wp_print_scripts', 'ts_deregister_script');
?>