<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */
get_header(); ?>



    <div id="header-container" class="inner">
    <div id="header" class="inner">
    <h1 class="pagetitle"><?php the_title(); ?></h1>
    
    </div>
    </div>
    
	<div id="content-container">
		<div id="content">
			<div id="main">
                
					
			
					<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
					
					<?php
						$prefix = 'ts_';
						
						$custom = get_post_custom($post->ID);
						$cf_disableclientinfo = (isset($custom[$prefix."disable-clientinfo"][0]))?$custom[$prefix."disable-clientinfo"][0] : "";
						$cf_clienturl = (isset($custom[$prefix."client-url"][0]))?$custom[$prefix."client-url"][0] : "";
						$cf_client = (isset($custom[$prefix."client"][0]))?$custom[$prefix."client"][0] : "";
						$cf_clientshortdesc = (isset($custom[$prefix."client-shortdesc"][0]))?$custom[$prefix."client-shortdesc"][0] : "";
						
						
						$attachments = get_children( array(
							'post_parent' => $post->ID,
							'post_type' => 'attachment',
							'order' => '',
							'post_mime_type' => 'image')
							);            
						
						
					?>	
					
					<?php if($cf_disableclientinfo!=true){ ?>
					
							<?php if(count($attachments)!=0){ ?>
							
							<div id="portfolio-gallery">
								<div id="frame-slider-portfolio">
									<ul id="sliderportfolio">
										<?php 
										 foreach ( $attachments as $att_id => $attachment ) {
										$getimage = wp_get_attachment_image_src($att_id, 'portfolio-gallery', true);
										$portfolioimage = $getimage[0];
										echo '<li><img src="'.$portfolioimage.'" alt="" height="408" /></li>';
										 }
										?>
									</ul><!-- end #slider -->
									<div id="slide-nav">
										<div id="pager"></div>
									</div><!-- end #slide-nav -->
								</div><!-- end #farme-slider-portfolio -->
							</div> 
							
							<?php } ?>
                            
                            <div class="desc-portfolio">
							
							<?php
							echo '<p>'.$cf_clientshortdesc.'</p>';
							if($cf_client!=""){echo '<p><strong>'.__('Client','templatesquare').'</strong><br />'.$cf_client.'</p><br/>';}
							if($cf_clienturl!=""){ echo '<div class="clienturl"><strong>'.__('Website','templatesquare').'</strong><p><a href="'.$cf_clienturl.'">'.$cf_clienturl.'</a></p></div><br/>'; } 
							
							echo '<p>';
								$taglist = get_the_term_list( $post->ID, 'portfoliotag', '<strong>Tags:</strong> <br/>', ', ', '' );
								echo $taglist;
							 echo'</p>';
							 ?>
                             </div>
							<div class="clear"></div><!-- clear float -->
							<div style="margin-top:40px;"></div>
					 <?php } ?>
					<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="entry-content">
							<?php the_content( __( 'Read More', 'templatesquare' ) ); ?>
							<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatesquare' ), 'after' => '</div>' ) ); ?>
							<?php edit_post_link( __( 'Edit', 'templatesquare' ), '<span class="edit-link">', '</span>' ); ?>
						</div><!-- .entry-content -->
					</div><!-- #post -->
					
					<?php endwhile; ?>
              
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
    
<?php get_footer(); ?>
